;$ZAPexample|Sequence that plays out a sine wave of frequency related to a function of time
;First attempt using a linear frequency ramp
;This sequence should be used in conjunction with the ZAPexample.s2s script file

;The sequence is a 'work in progress' and is offered without guarantees.
;You must test it to see whether it is suitable for your application.

;CED 13/04/10

            SET    0.1,1,0         ;Get rate & scaling OK

            VAR    V1,int
            VAR    V2,count       
            VAR    V3,init         
            VAR    V5,rep
            VAR    V6,ind
            VAR    V7,start
            VAR    V8,amp
            TABSZ  120000

No:     'n  Dac 0,0
Halt

E0:     'g  DAC    0,0
            SZ     0,amp           ;Set cosine amplitude
            OFFSET 0,0             ;cosine centre
            ANGLE  0,90            ;cosine phase
            RATE   0,init          ;set rate and start cosine off
            JUMP   AA

AA:         MOVI   ind,0           ;table index for freq.
            MOV    int,start       ;table index for interval

BB:         BGE    ind,count,DD
            RATE   0,[ind]
            DELAY  1
EE:         TABINC ind,1,BB

DD:     'h  RATE   0,0
            DAC    0,0
            HALT